package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TipoEventoExtraPtovtaDAO;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtraPtoVta;
import com.rjconsultores.ventaboletos.service.TipoEventoExtraPtovtaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("tipoEventoExtraPtovtaService")
public class TipoEventoExtraPtovtaServiceImpl  implements TipoEventoExtraPtovtaService {
	@Autowired
	private TipoEventoExtraPtovtaDAO TipoEventoExtraPtovtaDAO;
	
	
	@Transactional
	public TipoEventoExtraPtoVta suscribir(TipoEventoExtraPtoVta entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

		return TipoEventoExtraPtovtaDAO.suscribir(entidad);
	}

	@Override
	public List<TipoEventoExtraPtoVta> obtenerTodos() {
		return TipoEventoExtraPtovtaDAO.obtenerTodos();
	}

	@Override
	public TipoEventoExtraPtoVta obtenerID(Integer id) {
		return TipoEventoExtraPtovtaDAO.obtenerID(id);
	}

	@Transactional
	public TipoEventoExtraPtoVta actualizacion(TipoEventoExtraPtoVta entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);
        
		return TipoEventoExtraPtovtaDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(TipoEventoExtraPtoVta entidad) {
		TipoEventoExtraPtovtaDAO.borrar(entidad);
	}
}
